Std OrthographicCamera/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
{{UnfinishedDocu{{#translation:}}}}
<languages/>
<languages/>

{{Docnav
|[[Std_ViewCreate|Std ViewCreate]]
|[[Std_PerspectiveCamera|Std PerspectiveCamera]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewCreate.svg
|IconR=Std_PerspectiveCamera.svg
|IconC=Freecad.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Std OrthographicCamera|MenuLocation=[[Std View Menu|View]] → Orthographic view||Workbenches=All|Shortcut=O|SeeAlso=[[Std PerspectiveCamera|Perspective View]]}}
{{GuiCommand|Name=Std OrthographicCamera|MenuLocation=[[Std View Menu|View]] → Orthographic view||Workbenches=All|Shortcut=O|SeeAlso=[[Std PerspectiveCamera|Perspective View]]}}
Line 12: Line 21:
</div>
</div>


The '''Std OrthographicCamera''' command switches the camera in the active [[3D_view|3D view]] to orthographic view mode. In this mode, objects that are further from the camera do not appear smaller than those that are closer.
'''''Orthographic''''' (according to Wikipedia) is "''a means of representing a three-dimensional object in two dimensions...''"

[[Image:Std_OrthographicCamera_example.svg]]
{{Caption|Two cubes with the same dimensions in orthographic view}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Utilizare==
În mod fundamental, modul ortogonal are o adâncime fixă a vizualizării. Nu puteți mări sau micșora. Nu există o distanță față de cameră.<br />
Alegeți {{KEY| View}} → {{KEY|[[Image:View-isometric.png|24px]] Orthographic view}} din meniul principal
Vederea în Perspectivă are profunzime. Puteți mări și micșora imaginile. Puteți evalua distanțele. Camerele pot fi distanțate de scenă.<br />
Pur și simplu, imaginea ortogonală planează întreaga scenă de-a lungul axei vederii camerei<br />
și comprimați totul în fața camerei..
</div>
</div>


# There are several ways to invoke the command:
Perspective has depth. You can zoom in and out. You can judge distances. Cameras can be distanced from the scene.
#* Select the {{MenuCommand|View → [[Image:Std_OrthographicCamera.svg|16px]] Orthographic view}} option from the menu.
#* Use the keyboard shortcut: {{KEY|V}} then {{KEY|O}}.


==Notes==
Simply put, orthographic is what would happen if you squished everything in the scene (along the cameras view axis) and stuck it right against the camera.


* It is also possible to switch to orthographic view mode via the Mini-cube menu of the [[Navigation_Cube|Navigation Cube]].
[[Image:Orthographic_Perspective.gif]]


==Preferences==
<div class="mw-translate-fuzzy">
Modul Perspectivă este în partea stângă, Ortogonal este în partea dreaptă
</div>


* The camera type can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → 3D View → Camera type}}. The selected type will be used for all 3D views of all opened documents and also for new documents. See [[Preferences_Editor#3D_View|Preferences Editor]].
<div class="mw-translate-fuzzy">
==Utilizare==
Alegeți {{KEY| View}} → {{KEY|[[Image:View-isometric.png|24px]] Orthographic view}} din meniul principal
</div>


==Scripting==
==Scripting==


{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{clear}}

To change the view to orthographic use the {{incode|setCameraType}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.

{{Code|code=
import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setCameraType('Orthographic')
FreeCADGui.ActiveDocument.ActiveView.getCameraType()
}}

{{Docnav
|[[Std_ViewCreate|Std ViewCreate]]
|[[Std_PerspectiveCamera|Std PerspectiveCamera]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewCreate.svg
|IconR=Std_PerspectiveCamera.svg
|IconC=Freecad.svg
}}

{{Std Base navi{{#translation:}}}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 20:03, 9 April 2020

Std OrthographicCamera

Menu location
View → Orthographic view
Workbenches
All
Default shortcut
O
Introduced in version
-
See also
Perspective View

Descriere

Puneți camera foto în modul de vizualizarea ortogonal.
Ortogonal este (conform Wikipedia):
... o modalitate de reprezentare a unui obiect tridimensional în două dimensiuni...

The Std OrthographicCamera command switches the camera in the active 3D view to orthographic view mode. In this mode, objects that are further from the camera do not appear smaller than those that are closer.

Two cubes with the same dimensions in orthographic view

Utilizare

Alegeți View Orthographic view din meniul principal

  1. There are several ways to invoke the command:
    • Select the View → Orthographic view option from the menu.
    • Use the keyboard shortcut: V then O.

Notes

  • It is also possible to switch to orthographic view mode via the Mini-cube menu of the Navigation Cube.

Preferences

  • The camera type can be changed in the preferences: Edit → Preferences... → Display → 3D View → Camera type. The selected type will be used for all 3D views of all opened documents and also for new documents. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To change the view to orthographic use the setCameraType method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setCameraType('Orthographic')
FreeCADGui.ActiveDocument.ActiveView.getCameraType()